DelMapa = AceLibrary("AceAddon-2.0"):new(
	"AceConsole-2.0",
	"AceEvent-2.0", -- added Omicron@Frostwolf
	"AceHook-2.1"
)

DelMapa.version = "1.0." .. string.gsub("$Revision: 45101 $", "^.-(%d+).-$", "%1")
DelMapa.date = string.sub("$Date: 2007-07-28 12:53:17 -0400 (Sat, 28 Jul 2007) $", 8, 17)

DelMapa:RegisterChatCommand({"/delmapa"})

local MM = Minimap

function DelMapa:OnEnable()
	self:RegisterEvent("PLAYER_ENTERING_WORLD") -- added Omicron@Frostwolf
	self:RegisterEvent("ZONE_CHANGED_NEW_AREA") -- added Omicron@Frostwolf
	MM:EnableMouseWheel(true)
	self:HookScript(MM, "OnMouseWheel", "MiniMapZoom")
	self:HookScript(MM, "OnMouseUp", "MiniMapClick")
	MiniMapWorldMapButton:Hide()
	MinimapZoomOut:Hide()
	MinimapZoomIn:Hide()
end

function DelMapa:OnDisable()
	MiniMapWorldMapButton:Show()
	MinimapZoomOut:Show()
	MinimapZoomIn:Show()
end

function DelMapa:MiniMapZoom()
	local zoom = MM:GetZoom()
	if arg1 > 0 then
		if zoom < MM:GetZoomLevels() then
			MM:SetZoom(zoom + 1)
		end
	else
		if zoom > 0 then
			MM:SetZoom(zoom - 1)
		end
	end
end

function DelMapa:MiniMapClick()
	local button = arg1
	if ((button ~= "Button4") and (button ~= "Button5")) then
		Minimap_OnClick()
	end
end

function DelMapa:PLAYER_ENTERING_WORLD() -- added Omicron@Frostwolf
	local maximum_zoom_out = 0
	MM:SetZoom(maximum_zoom_out)
	self:UnregisterEvent("PLAYER_ENTERING_WORLD")
end

function DelMapa:ZONE_CHANGED_NEW_AREA() -- added Omicron@Frostwolf
	local maximum_zoom_out = 0
	MM:SetZoom(maximum_zoom_out)
end